Bug 983367 - [abrt] audacious-3.4-0.4.beta2.fc19: __pthread_mutex_lock: Process /usr/bin/audacious was killed by signal 11 (SIGSEGV)
[abrt] audacious-3.4-0.4.beta2.fc19: __pthread_mutex_lock: Process /usr/bin/a...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:26fd8c40f165099c127be49f280...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 01:33 EDT by mid
Modified: 2014-01-20 06:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 06:49:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.19 KB, text/plain)
2013-07-11 01:33 EDT, mid
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: core_backtrace (788 bytes, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: dso_list (23.93 KB, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: environ (1.86 KB, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: maps (112.50 KB, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: open_fds (1.25 KB, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details
File: xsession_errors (267 bytes, text/plain)
2013-07-11 01:34 EDT, mid
no flags Details

  None (edit)
Description mid 2013-07-11 01:33:53 EDT
Version-Release number of selected component:
audacious-3.4-0.4.beta2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/audacious
crash_function: __pthread_mutex_lock
executable:     /usr/bin/audacious
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 __pthread_mutex_lock at pthread_mutex_lock.c:50
 #1 write_rb at rb.c:192
 #2 fill_buffer at neon.c:640
 #3 reader_thread at neon.c:667
Comment 1 mid 2013-07-11 01:33:59 EDT
Created attachment 772008 [details]
File: backtrace
Comment 2 mid 2013-07-11 01:34:02 EDT
Created attachment 772009 [details]
File: cgroup
Comment 3 mid 2013-07-11 01:34:05 EDT
Created attachment 772010 [details]
File: core_backtrace
Comment 4 mid 2013-07-11 01:34:09 EDT
Created attachment 772011 [details]
File: dso_list
Comment 5 mid 2013-07-11 01:34:12 EDT
Created attachment 772012 [details]
File: environ
Comment 6 mid 2013-07-11 01:34:15 EDT
Created attachment 772013 [details]
File: limits
Comment 7 mid 2013-07-11 01:34:20 EDT
Created attachment 772014 [details]
File: maps
Comment 8 mid 2013-07-11 01:34:23 EDT
Created attachment 772015 [details]
File: open_fds
Comment 9 mid 2013-07-11 01:34:26 EDT
Created attachment 772016 [details]
File: proc_pid_status
Comment 10 mid 2013-07-11 01:34:29 EDT
Created attachment 772017 [details]
File: var_log_messages
Comment 11 mid 2013-07-11 01:34:32 EDT
Created attachment 772019 [details]
File: xsession_errors
Comment 12 Michael Schwendt 2013-07-11 04:35:14 EDT
> File: xsession_errors

> *** Error in `/usr/bin/audacious': malloc(): memory corruption: 
> 0x00007fb2cc0297b0 ***
> *** Error in `/usr/bin/audacious': malloc(): memory corruption: 
> 0x00007fb2cc0297b0 ***
> *** Error in `/usr/bin/audacious': double free or corruption (!prev): 
> 0x00007fb2d00232f0 ***

Could you tell how often that happens for you?
Is it reproducible?
What have you been doing when it happened?
Comment 13 mid 2013-07-12 00:35:07 EDT
Hello. It happened only once to me. I can not be more specific, audacious just crashed. Unfortunately I'm not able to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.